All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
cl::detail::Deleter< Alloc > Class Template Reference

`#include <cl2.hpp>`

## Public Types

typedef std::allocator_traits < Alloc >::pointer | pointer

## Public Member Functions

| Deleter (const Alloc &alloc, size_type copies)
void | operator() (pointer ptr) const

## Member Typedef Documentation

template<class Alloc >

typedef std::allocator_traits<Alloc>::pointer cl::detail::Deleter< Alloc >::pointer

## Constructor & Destructor Documentation

template<class Alloc >

cl::detail::Deleter< Alloc >::Deleter | ( | const Alloc & | alloc,
|  | size_type | copies
| ) |  |

inline

## Member Function Documentation

template<class Alloc >

void cl::detail::Deleter< Alloc >::operator() | ( | pointer | ptr | ) | const

inline

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp